openQA Infrastructure - action #93964

salt-states ClI pipeline deploy step fails on some workers with "Unable to unmount
/var/lib/openga/share: umount.nfs: /var/lib/openqga/share: device is busy."

2021-06-14 15:22 - okurz

Status: Resolved Start date: 2021-06-14
Priority: Normal Due date: 2021-07-27
Assignee: okurz % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Ready

Description

Observation

E.g. see

opengaworker—-arm-3.suse.de:
ID: /var/lib/openga/share
Function: mount.mounted
Result: False
Comment: Unable to unmount /var/lib/openga/share: umount.nfs: /var/lib/openga/share: device 1
s busy.
Started: 17:15:35.643876
Duration: 271.875 ms
Changes:

umount :
Forced unmount and mount because options (noauto) changed

Maybe we need to manually ensure all workers have the options updated and be rebooted? Not even sure what makes the share
/var/lib/openga/share busy as normally we should only use caching over rsync and http from osd, not NFS.

Expected result

e AC1: Stable deployments also after reboot of multiple worker machines

Related issues:
Related to openQA Infrastructure - action #94949: Failed systemd services ale... Resolved 2021-06-30

History

#1 - 2021-06-21 11:44 - okurz
- Priority changed from High to Normal

#2 - 2021-06-24 13:29 - cdywan

A suggestion with a pipeline link or salt call might have been nice.
Could've suggested retry at least 3 times.

We're estimating it to be S (planning poker).

#3 - 2021-07-06 07:10 - okurz

- Status changed from Workable to New

moving all tickets without size confirmation by the team back to "New". The team should move the tickets back after estimating and agreeing on a
consistent size

#4 - 2021-07-06 09:32 - okurz

- Related to action #94949: Failed systemd services alert for openqaworker3 var-lib-openqa-share.automount added
#5 - 2021-07-13 12:41 - okurz
- Status changed from New to In Progress

- Assignee set to okurz

Just observed that now again in h

#6 - 2021-07-13 13:42 - okurz
- Due date set to 2021-07-27

- Status changed from In Progress to Feedback

Seems like salt detects changes all the time because it compares the content of /etc/fstab with the output of the command "mount". This is explained
in https://github.com/saltstack/salt/issues/18630#issuecomment-342486325 for different mount parameters which trigger the same. The option
"x-systemd.mount-timeout=30m" is correctly included in /etc/fstab but the mount point entry when calling "mount" does not have it as these special
parameters are only read by systemd.

So | found a better approach now with https:/gitlab.suse.de/openqa/salt-states-openqa/-/merge_requests/526

#7 - 2021-07-14 10:30 - okurz
- Status changed from Feedback to Resolved
MR merged. Now checking other pipelines.

Found other failures fixed in https:/qitlab.suse.de/openga/salt-states-openga/-/merge_requests/527

https://qitlab.suse.de/okurz/salt-states-openqga/-/pipelines/169398 passed, https:/gitlab.suse.de/openga/salt-states-openqa/-/jobs/493407 passed
